aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/services/hostapd/files/wps-hotplug.sh
diff options
context:
space:
mode:
Diffstat (limited to 'package/network/services/hostapd/files/wps-hotplug.sh')
-rw-r--r--package/network/services/hostapd/files/wps-hotplug.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/package/network/services/hostapd/files/wps-hotplug.sh b/package/network/services/hostapd/files/wps-hotplug.sh
index 058264a8db..5b3c753427 100644
--- a/package/network/services/hostapd/files/wps-hotplug.sh
+++ b/package/network/services/hostapd/files/wps-hotplug.sh
@@ -1,8 +1,9 @@
#!/bin/sh
if [ "$ACTION" = "pressed" -a "$BUTTON" = "wps" ]; then
- for dir in /var/run/hostapd*; do
- [ -d "$dir" ] || continue
- hostapd_cli -p "$dir" wps_pbc
+ cd /var/run/hostapd
+ for socket in *; do
+ [ -S "$socket" ] || continue
+ hostapd_cli -i "$socket" wps_pbc
done
fi